var AlertWin = new  AlertWindow();
function AlertWindow() 
{ 

} 
 AlertWindow.prototype.AlertUrlWindow = function(title, fileUrl, w, h)
 {
   this.ChangeTimes=0;
    var alertwindow=this;
    var  str="<iframe onLoad=\"AlertWin.LoadAlertWindow()\" src=\""+fileUrl+"\"  name=\"AlertWindow\" id=\"AlertWindow\" width=\""+(w-2)+"\" height=\""+(h-28)+"\" marginwidth=\"0\" marginheight=\"0\" frameborder=\"0\"></iframe>";
    this.AlertWindow(title, str, w, h);
 };
AlertWindow.prototype.Close= function(){
       if(this.ChangeTimes>1)
       { this.OnAlertWindowChange();
       }  
       this.OnAlertWindowClose();
    
   document.body.removeChild(this.msg);  
   document.body.removeChild(this.bg);
};
AlertWindow.prototype.LoadAlertWindow= function(){
this.ChangeTimes=this.ChangeTimes+1;
};
AlertWindow.prototype.ChangeTimes=0;
AlertWindow.prototype.OnAlertWindowChange= function(){};
AlertWindow.prototype.OnAlertWindowClose= function(){};
AlertWindow.prototype.AlertWindow=function(title, msg, w, h){  
    var titleheight = "22px"; // 提示窗口标题高度  
    var bordercolor = "#7B869A"; // 提示窗口的边框颜色  
    var titlecolor = "#FFFFFF"; // 提示窗口的标题颜色  
    var titlebgcolor = "#7B869A"; // 提示窗口的标题背景色 
    var bgcolor = "#FFFFFF"; // 提示内容的背景色 
     
    var iWidth = document.documentElement.clientWidth;  
    var iHeight = document.documentElement.clientHeight;  
    var bgObj = document.createElement("div");  
    bgObj.style.cssText = "position:absolute;left:0px;top:0px;width:"+iWidth+"px;height:"+Math.max(document.body.clientHeight, iHeight)+"px;filter:Alpha(Opacity=30);opacity:0.3;background-color:#000000;z-index:101;"; 
    document.body.appendChild(bgObj);  
    this.bg=bgObj;
    var msgObj=document.createElement("div"); 
    msgObj.style.cssText = "position:absolute;font:11px '宋体';top:"+(iHeight-h)/2+"px;left:"+(iWidth-w)/2+"px;width:"+w+"px;height:"+h+"px;text-align:center;border:1px solid "+bordercolor+";background-color:"+bgcolor+";padding:1px;line-height:22px;z-index:102;"; 
    document.body.appendChild(msgObj); 
      this.msg=msgObj;
    var table = document.createElement("table"); 
    msgObj.appendChild(table); 
    table.style.cssText = "margin:0px;border:0px;padding:0px;"; 
    table.cellSpacing = 0; 
    var tr = table.insertRow(-1); 
    var titleBar = tr.insertCell(-1); 
    titleBar.style.cssText = "width:95%;height:"+titleheight+"px;text-align:left;padding:0px;margin:0px;font:bold 13px '宋体';color:"+titlecolor+";border:1px solid " + bordercolor + ";cursor:move;background-color:" + titlebgcolor; 
    titleBar.style.paddingLeft = "10px"; 
    titleBar.innerHTML = title; 
    var moveX = 0; 
    var moveY = 0; 
    var moveTop = 0; 
    var moveLeft = 0; 
    var moveable = false; 
    var docMouseMoveEvent = document.onmousemove; 
    var docMouseUpEvent = document.onmouseup; 
    titleBar.onmousedown = function() { 
        var evt = getEvent(); 
        moveable = true;  
        moveX = evt.clientX; 
        moveY = evt.clientY; 
        moveTop = parseInt(msgObj.style.top); 
        moveLeft = parseInt(msgObj.style.left); 
         
        document.onmousemove = function() { 
            if (moveable) { 
                var evt = getEvent(); 
                var x = moveLeft + evt.clientX - moveX; 
                var y = moveTop + evt.clientY - moveY; 
                if ( x > 0 &&( x + w < iWidth) && y > 0 && (y + h < iHeight) ) { 
                    msgObj.style.left = x + "px"; 
                    msgObj.style.top = y + "px"; 
                } 
            }     
        }; 
        document.onmouseup = function () {  
            if (moveable) {  
                document.onmousemove = docMouseMoveEvent; 
                document.onmouseup = docMouseUpEvent; 
                moveable = false;  
                moveX = 0; 
                moveY = 0; 
                moveTop = 0; 
                moveLeft = 0; 
            }  
        }; 
    } 
     var obj=this;
    var closeBtn = tr.insertCell(-1); 
    closeBtn.style.cssText = "cursor:pointer; width:5%;padding:2px;text-align:right;background-color:" + titlebgcolor; 
    closeBtn.innerHTML = "<span style='font-size:15pt; color:"+titlecolor+";'>×</span>"; 
    closeBtn.onclick = function(){  
        document.body.removeChild(bgObj);  
        document.body.removeChild(msgObj);
             if(obj.ChangeTimes>1)
       { obj.OnAlertWindowChange();
       }  
       obj.OnAlertWindowClose();
  
    }  
    var msgBox = table.insertRow(-1).insertCell(-1); 
    msgBox.style.cssText = "font:10pt '宋体';"; 
    msgBox.colSpan  = 2; 
    msgBox.innerHTML = msg; 
     
    // 获得事件Event对象，用于兼容IE和FireFox 
    function getEvent() { 
        return window.event || arguments.callee.caller.arguments[0]; 
    } 
} ; 